/**
 * @file
 * Header Styling.
 */
 
.site-header {
  //flex-wrap: wrap;
  padding: 0;
  background-color: $white;
  align-items: inherit;
  -webkit-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
  -moz-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
  box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
  width: 100%;
  @include fixed(top 0 left 0 z-index 99);
  @include flex(space-between, inherit);
  //@include absolute(right 0 left 0 z-index 1);
}
#block-hjeepl-branding {
  width: rem(100);
  max-width: 100%;
  text-align: center;
  padding: rem(10) 0;
  background-color: $gray-400;
  transition: width 350ms ease-in-out;

  @media (min-width: $ipad) {
    width: rem(145);
  }

  img {
    width: 50%;
  }
  .sticky & {
    width: rem(60);
  }
}
.navigation.menu--main  {
  @include flex();
  @include media-breakpoint-down(lg) {
    display: block;
    width: 100%;
  }  
  ul {
    padding: 0;
    margin: auto;
    flex-wrap: wrap;
    list-style: none;
    right: 0;
    
    @include flex();
    @include transition(all 0.2s);
    @include media-breakpoint-down(lg) {
      display: block;
      width: 100%;
      overflow: hidden;
    }
    li {
      @include media-breakpoint-down (lg) {
        margin-bottom: rem(5);
      }
      > a {
        padding: 0 rem(10);
        text-transform: capitalize;
        font-family: $font-verdana;
        color: $black;
        @include fontSize(14);
  
        @include media-breakpoint-down (lg) {
          @include fontSize(18);
        }
        &:hover {
          color: $black;
        }
      }
      @include media-breakpoint-down(lg) {
        &:not(:last-child) {
        a {
            margin-bottom: rem(15);
          }
        }
      }
    }
  }
}
#block-headercontact {
  margin: auto 0;
}
.menu--products-and-services {
  color:$white;
  background-color: $yellow;
  @include relative();
  @include flex();
  @include media-breakpoint-down(lg) {
    margin-left: rem(10);
    background-color: transparent;
    color: $black;
    display: block;
  }

  > h2 {
    flex: 1 auto;
    padding: 0 rem(18);
    text-transform: capitalize;
    @include fontSize(14);
    @include flex(inherit, center);
    @include media-breakpoint-up(xl) {
      &:hover,
      &:focus {
        color: $white;
      }
    }
    @include media-breakpoint-down(lg) {
      padding: 0;
      margin: rem(6) 0;
      @include fontSize(18);
    }
  }

  ul {
    height: 0;
    border: none;
    padding: 0;
    overflow: hidden;
    display: block;
    min-width: rem(330);
    list-style: none;
    margin: 0;
    background-color: $white;
    -webkit-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
    -moz-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
    box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);

    @include fontSize(14);
    @include border-radius(0);
    @include transform(scale(0));
    @include transition (top .3s);
    @include absolute(top 180px right 0 z-index 10);
    @include media-breakpoint-down (lg) {
      display: block;
      transform: scale(1);
      position: static;
      height: auto;
      box-shadow: 0 0 transparent;
      padding: 0 rem(15);
    }
  }

  @include media-breakpoint-up(xl) {
    &:hover {
      ul {
        top: 98%;
        height: auto;
        @include transform(scale(1));
      }
    }
  }
  .menu-item {
    list-style: none;
    a {
      padding: rem(6) rem(12);
      display: block;
      &:hover {
        color: $white;
        background-color: $orange;
        text-decoration: none;
        transition: none;
      }
    }
  }
}

.site__header--contact {
  @include fontSize(14);

  @media (min-width: $ipad) {
    @include fontSize(16);
  }

  li {
    padding: 0 rem(14);
    border-left: 1px solid rgba($black, .2);

    a {
      color: $black;

      span {
        margin-right: rem(5);
      }
    }
  }
}

@include media-breakpoint-down(lg) {
  .navbar-toggler {
    border: none;
    padding: 0;
    //@include absolute(right 15px);

    span {
      height: rem(4);
      display: block;
      width: rem(30);
      margin: rem(5) 0;
      background-color: $yellow;
      @include transition(all 0.5s);
    }
    &.active{
      span {
        &:nth-child(1) {
          @include transform(rotate(45deg) translate(6px, 6px));
        }
        &:nth-child(2) {
          @include opacity(0);
        }
        &:nth-child(3) {
          @include transform(rotate(-45deg) translate(6px, -6px));
        }
      }
    }
  }

  .navbar-collapse {
    width: 100%;
    color: $white;
    padding: rem(15) rem(10);
    background-color: $white;
    -webkit-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
    -moz-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
    box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);

    @include absolute(top 100% z-index 2);
  }
}

.hjeepl-menu {
  flex: 1 1 100%;
  @include flex($justify-content: flex-end);
  @include media-breakpoint-down (lg) {
    margin-right: rem(16);
  }
  .region-primary-menu {
    @include flex();
    @include media-breakpoint-down(lg) {
      -webkit-box-shadow: 14px 14px 19px 0 rgba(0,0,0,.34);
      -moz-box-shadow: 14px 14px 19px 0 rgba(0,0,0,.34);
      box-shadow: 14px 14px 19px 0 rgba(0,0,0,.34);
      display: none;
      &.show {
        display: block;
        position: absolute;
        top: 100%;
        left: 0;
        background: $white;
        z-index: 9;
        width: 100%;
        text-align: left;
        padding: rem(20) 0;
      }
    }
  }
}
.visually-hidden {
  display: none;
}
